'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var iconsGlyph = require('@alfalab/icons-glyph');

function humanFileSize(size) {
    var units = ['B', 'KB', 'MB', 'GB'];
    var humanSize = Number(size);
    var factor = 0;
    while (humanSize >= 1024 && factor < units.length - 1) {
        humanSize /= 1024;
        factor += 1;
    }
    humanSize = humanSize.toFixed(2);
    return Number(humanSize) + " " + units[factor];
}
var getExtension = function (filename) {
    return filename
        .toLowerCase()
        .split('.')
        .pop();
};
function fileIcon(filename) {
    var extension = getExtension(filename);
    switch (extension) {
        case 'png':
        case 'jpg':
        case 'jpeg':
        case 'svg':
        case 'tif':
        case 'tiff':
            return iconsGlyph.DocumentImageMIcon;
        case 'doc':
        case 'docx':
            return iconsGlyph.DocumentDocMIcon;
        case 'pdf':
            return iconsGlyph.DocumentPdfMIcon;
        case 'txt':
            return iconsGlyph.DocumentTxtMIcon;
        default:
            return iconsGlyph.DocumentUnknownMIcon;
    }
}

exports.fileIcon = fileIcon;
exports.getExtension = getExtension;
exports.humanFileSize = humanFileSize;
